Contracts
Get subscription seats history
Get the history of subscription seats schedule over time for a given subscription_id. This endpoint provides information about seat assignments and total quantities for different time periods, allowing you to track how seat assignments have changed over time.
Use this endpoint to:
- Track changes to seat assignments over time
- Get seat schedule for a specific date using the
covering_dateparameter - Get seat schedule history with optional date range filtering using
starting_atandending_before
Key response fields:
- data: array of seat schedule entries with time periods, quantity, and assignments
- next_page: cursor for pagination to retrieve additional results
Usage guidelines:
- Use
covering_dateto get the active seats for a specific point in time.covering_datecannot be used withstarting_atorending_before. - Use
starting_atandending_beforeto filter results by time range.starting_atandending_beforecannot be used withcovering_date. - Maximum limit is 10 seat schedule entries per request
- Results are ordered by
starting_attimestamp
POST
Get subscription seats history
Authorizations
Body
application/json